Description

Related issues:

Related to Network Tools - Feature #1790: Add support for cron scheduling to ... Rejected 03/17/2017

Associated revisions

Revision 163 - 05/11/2017 07:22 AM - lukemurphey

Adding ability to do speedtest via a modular input

Reference #1731

History

#1 - 03/16/2017 09:48 PM - Luke Murphey

- Target version set to 0.8

See https://github.com/LukeMurphey/splunk-network-tools/issues/2

#2 - 03/16/2017 09:49 PM - Luke Murphey

- Subject changed from Speedtest modular alert to Speedtest modular input

#3 - 03/17/2017 06:18 PM - Luke Murphey

- Blocked by Feature #1790: Add support for cron scheduling to modular input base class added

#4 - 03/17/2017 07:09 PM - Luke Murphey

- Assignee set to Luke Murphey

I could just ship with a scripted input. The only issue with this is that it cannot easily take the arguments and I need these arguments to change the

way that the stash parsing works. I also would like the script to use the global index setting if possible.

#5 - 03/17/2017 07:10 PM - Luke Murphey

I could make this run in multi instance mode which would get me the ability to use a cron schedule.

#6 - 04/14/2017 06:04 AM - Luke Murphey

- Target version changed from 0.8 to 0.10

#7 - 04/14/2017 06:51 AM - Luke Murphey

- Blocked by deleted (Feature #1790: Add support for cron scheduling to modular input base class)
#8 - 04/14/2017 06:52 AM - Luke Murphey

- Related to Feature #1790: Add support for cron scheduling to modular input base class added

#9 - 05/04/2017 05:54 AM - Luke Murphey

- Target version changed from 0.10 to 1.0

#10 - 05/10/2017 05:27 PM - Luke Murphey

I have this made but the cron scheduling isn't working. Splunk isn't executing the input.

See https://answers.splunk.com/answers/445001/rest-modular-input-cron-schedule-not-working-known.html

#11 - 05/10/2017 05:29 PM - Luke Murphey

https://twitter.com/damiendallimore/status/621353481660555264

#12 - 05/10/2017 05:44 PM - Luke Murphey

According to https://docs.splunk.com/Documentation/Splunk/6.5.3/Admin/Inputsconf#inputs.conf.spec

interval = [<number>|<cron schedule>]

* How often to run the specified command (in seconds), or a valid cron

  schedule.

* NOTE: when you specify a cron schedule, the input does not run the

  script on start-up.

* If you specify the interval as a number, it may have a fractional

  component; e.g., 3.14

* The cron implementation for data inputs does not currently support names

  of months or days.

* Defaults to 60.0 seconds.

* The special value 0 forces this scripted input to be run continuously;

  that is, as soon as the script exits, the input restarts it.

* The special value -1 causes the scripted input to run once on start-up.

#13 - 05/11/2017 07:22 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
